; 
;
;  The 3D-Scene
;
; 

; The whole 3D-scene is made out of square boxes (welcome to the Legoland...)
; The format of the scenedata is (one row of data defines one box):

;     width, depth, height, xrot, yrot, xpos, ypos, zpos, color
;     width, depth, height....

; where width, height and depth are the dimensions of the box,
; x/yrot give the direction (zrot is always 0) and x/y/zpos
; define the position.

; This way we can store 8 verteces and 12 faces in just 9 bytes.


; First keyframe ------------------------------------------------------------

keyframe1:
        DW      141          ; Number of the boxes in the scene


; The drummer

        DB      5, 5, 14,  69, -20,  1, 65, 20, 1       ; Right upper leg
        DB      5, 5, 17, 115,   0, -1, 58, 10, 1       ; Right lower leg

        DB      5, 5, 14,  69, 20, 19, 65, 20, 1        ; Left upper leg
        DB      5, 5, 16, 115,  0, 21, 58, 10, 1        ; Left lower leg

        DB      4, 9, 3, 0, 0, -1, 53, 1, 31            ; Right shoe
        DB      4, 9, 3, 0, 0, 21, 53, 1, 31            ; Left shoe

        DB      16, 5,  7, 0, 0, 10, 70, 22, 1          ; Ass
        DB      14, 5, 24, 0, 0, 10, 70, 37, 17         ; Body

        DB      4, 4, 4,  0, 0, 10, 70, 51, 89          ; Neck
        DB      8, 8, 8, 10, 0, 10, 70, 57, 89          ; Head

        DB      1, 1, 1, 10, 0,  8, 66, 58, 1           ; Right eye
        DB      1, 1, 1, 10, 0, 12, 66, 58, 1           ; Left eye
        DB      3, 1, 1, 10, 0, 10, 66, 55, 4           ; Mouth

        DB      4, 4, 18, -25,  3, 0, 66, 39, 89        ; Right upper arm
        DB      4, 4, 12,  30, 40, 4, 58, 35, 89        ; Right lower arm

        DB      4, 4, 20,  5, -13, 22, 71, 37, 89       ; Left upper arm
        DB      4, 4, 12, 45, -15, 23, 68, 31, 89       ; Left lower arm

        DB      1, 1, 12, 40, -20, 18, 58, 36, 17       ; Left stick
        DB      1, 1, 15, 30,  30, 14, 52, 40, 17       ; Right stick

        DB      1,  1, 12, 0, 0, 0, 41,  6, 29          ; Basedrum pedal
        DB      3,  3,  3, 0, 0, 0, 41, 12, 31
        DB      6, 12,  0, 0, 0, 0, 46,  0, 28


; Guitar-playing dude

        DB      4, 9, 3, 0, 0, 20, -31, 1, 31           ; Right shoe
        DB      4, 9, 3, 0, 0, 30, -31, 1, 31           ; Left shoe

        DB      4, 4, 26, 0, 0, 20, -29, 15, 32         ; Right leg
        DB      4, 4, 26, 0, 0, 30, -29, 15, 33         ; Left leg

        DB      14, 5,  5, 0, 0, 25, -29, 30, 32        ; Ass
        DB      14, 5, 25, 0, 0, 25, -29, 45, 17        ; Body

        DB      4, 4, 4, 10, 0, 25, -29, 59, 89         ; Neck
        DB      8, 8, 8, 20, 0, 25, -30, 64, 89         ; Head

        DB      1, 1, 1, 10, 0, 23, -34, 64, 1          ; Right eye
        DB      1, 1, 1, 10, 0, 27, -34, 64, 1          ; Left eye
        DB      3, 1, 1, 10, 0, 25, -32, 61, 4          ; Mouth

        DB      5, 5, 20, -25, 13, 16, -33, 47, 17      ; Right upper arm
        DB      4, 4, 10,   0, 80, 18, -39, 38, 17      ; Right lower arm
        DB      3, 3,  3,   0, 80, 24, -39, 36, 89      ; Right hand

        DB      5, 5, 22, 0, -17, 35, -29, 46, 17       ; Left upper arm
        DB      4, 4,  8, 64, 20, 41, -31, 36, 17       ; Left lower arm
        DB      3, 2,  3,  0,  0, 43, -35, 38, 89       ; Left hand

        DB      16, 1, 12, 0, -10, 25, -34, 35, 4       ; Guitar body
        DB      20, 1,  2, 0, -10, 42, -34, 40, 66      ; Guitar neck


; Keyboard-player

        DB      4, 9, 3, 0, 0, -40, -11, 1, 28          ; Right shoe
        DB      4, 9, 3, 0, 0, -30, -11, 1, 28          ; Left shoe

        DB      4, 4, 26, 0, 0, -40, -9, 15, 1          ; Right leg
        DB      4, 4, 26, 0, 0, -30, -9, 15, 1          ; Left leg

        DB      14, 5,  5, 0, 0, -35, -9, 30, 1         ; Ass
        DB      14, 5, 25, 0, 0, -35, -9, 45, 20        ; Body

        DB      4, 4, 4, 10, 0, -35, -10, 59, 90        ; Neck
        DB      8, 8, 8, 20, 0, -35, -12, 64, 90        ; Head

        DB      1, 1, 1, 10, 0, -37, -16, 64, 1         ; Right eye
        DB      1, 1, 1, 10, 0, -33, -16, 64, 1         ; Left eye
        DB      3, 1, 1, 10, 0, -35, -14, 61, 4         ; Mouth

        DB      5, 5, 20,  0, 17, -44,  -9, 47, 20      ; Right upper arm
        DB      4, 4, 13, 70,  8, -46, -18, 38, 90      ; Right lower arm

        DB      5, 5, 20,  0, -17, -25,  -9, 46, 20     ; Left upper arm
        DB      4, 4, 13, 70,  -8, -23, -18, 38, 90     ; Left lower arm


; Microphone

        DB      0, 0, 60, 0, 0, 25, -45, 30, 29         ; Stand
        DB      9, 9,  0, 0, 0, 25, -45,  0, 26

        DB      2, 2, 10, 75, 0, 25, -45, 60, 23        ; Microphone


; Keyboards

        DB      1, 17, 1, 0, 0, -50, -30, 0, 28         ; Stand
        DB      1, 17, 1, 0, 0, -20, -30, 0, 28

        DB      1, 1, 45, 0,  29, -35, -30, 17, 28
        DB      1, 1, 45, 0, -29, -35, -30, 17, 28

        DB      50, 10, 5, 0, 0, -35, -35, 34, 18       ; Synth
        DB      50,  8, 3, 0, 0, -35, -26, 33, 31

        DB      1, 18, 5, 0, 0, -61, -30, 34, 18
        DB      1, 18, 5, 0, 0,  -9, -30, 34, 18


; Drums

        DB       1,  1, 18, 0, 0, 10, 70,  9, 30        ; Chair
        DB       9,  9,  0, 0, 0, 10, 70,  0, 26
        DB      11, 11,  0, 0, 0, 10, 70, 18, 26

        DB      12, 20, 2, 0,  0,   0, 30,  0, 79       ; Basedrum
        DB      12, 20, 2, 0,  0,   0, 30, 24, 78
        DB      12, 20, 2, 0, 64,  12, 30, 12, 79
        DB      12, 20, 2, 0, 64, -12, 30, 12, 78

        DB      9, 20, 2, 0, 96, -9, 30, 21, 77
        DB      9, 20, 2, 0, 96,  9, 30,  3, 79
        DB      9, 20, 2, 0, 32, -9, 30,  3, 79
        DB      9, 20, 2, 0, 32,  9, 30, 21, 78

        DB      1, 1, 7, 0, 0, 0, 30, 27, 31            ; Stand for tomtoms
        DB      7, 1, 1, 0, 0, 0, 30, 31, 31

        DB      12, 12, 12, 40, 20,  10, 32, 33, 79     ; Left tomtom
        DB      10,  0, 10, 40, 20,  10, 36, 38, 30

        DB      13, 13, 13, 40, 44, -10, 32, 33, 78     ; Right tomtom
        DB      11,  0, 11, 40, 44, -10, 36, 38, 30

        DB      6, 20, 1, 64,  0, -23, 46, 17, 78       ; Floor tomtom
        DB      7, 20, 1, 64,  0, -23, 60, 17, 78
        DB      6, 20, 1, 64, 64, -16, 53, 17, 79
        DB      6, 20, 1, 64, 64, -30, 53, 17, 77

        DB      7, 20, 1, 64, 32, -17, 49, 17, 78
        DB      7, 20, 1, 64, 96, -17, 57, 17, 79
        DB      7, 20, 1, 64, 32, -28, 57, 17, 78
        DB      7, 20, 1, 64, 96, -28, 49, 17, 77

        DB      15, 1, 6, 64,  0, -23, 53, 28, 30
        DB      15, 1, 6, 64, 32, -23, 53, 28, 30
        DB      15, 1, 6, 64, 64, -23, 53, 28, 30
        DB      15, 1, 6, 64, 96, -23, 53, 28, 30

        DB      1, 1, 8, 0, 0, -23, 46, 4, 30           ; Floor tomtom legs
        DB      1, 1, 8, 0, 0, -23, 60, 4, 31
        DB      1, 1, 8, 0, 0, -16, 53, 4, 30
        DB      1, 1, 8, 0, 0, -30, 53, 4, 29

        DB      16, 1, 16, 47,  0, -33, 36, 40, 14      ; Whatever ....
        DB      16, 1, 16, 47, 21, -33, 36, 40, 14      ; (the yellow round
        DB      16, 1, 16, 47, 43, -33, 36, 40, 14      ;  thing like hi-hat?)

        DB      1, 1, 40,  0,  0, -33, 36, 20, 31       ; It's stand
        DB      9, 9,  0,  0,  0, -33, 36,  0, 26
        DB      1, 1,  1,  0,  0, -33, 36, 41, 18

        DB      14, 1, 14, 47,  0, -19, 22, 55, 14      ; Whatever #2
        DB      14, 1, 14, 47, 21, -19, 22, 55, 14
        DB      14, 1, 14, 47, 43, -19, 22, 55, 14

        DB      1, 1, 55,  0,  0, -19, 22, 27, 31       ; It's stand
        DB      9, 9,  0,  0,  0, -19, 22,  0, 26
        DB      1, 1,  1,  0,  0, -19, 22, 56, 18

        DB      14, 1, 14, 47,  0, 19, 22, 55, 14       ; Whatever #2
        DB      14, 1, 14, 47, 21, 19, 22, 55, 14
        DB      14, 1, 14, 47, 43, 19, 22, 55, 14

        DB      1, 1, 55,  0,  0, 19, 22, 27, 31        ; It's stand
        DB      9, 9,  0,  0,  0, 19, 22,  0, 26
        DB      1, 1,  1,  0,  0, 19, 22, 56, 18

        DB      13, 7, 13, 64, 20, 10, 50, 22, 28       ; Snaredrum
        DB      13, 7, 13, 64, 41, 10, 50, 22, 28
        DB      13, 7, 13, 64, 63, 10, 50, 22, 28

        DB      11, 1, 11, 64, 20, 10, 50, 25, 31
        DB      11, 1, 11, 64, 41, 10, 50, 25, 31
        DB      11, 1, 11, 64, 63, 10, 50, 25, 31

        DB      1, 1, 18, 0, 0, 10, 50, 9, 30           ; Snaredrum stand
        DB      9, 9,  0, 0, 0, 10, 50, 0, 26

        DB      12, 1, 12, 64,  0, 25, 43, 36, 14       ; Hi-hat
        DB      12, 1, 12, 64, 21, 25, 43, 36, 14
        DB      12, 1, 12, 64, 43, 25, 43, 36, 14

        DB      1, 1, 36, 0, 0, 25, 43, 18, 30          ; Hi-hat stand
        DB      1, 1,  1, 0, 0, 25, 43, 36, 18
        DB      0, 0,  5, 0, 0, 25, 43, 40, 30
        DB      9, 9,  0, 0, 0, 25, 43,  0, 26


; Marshall (the amp) on the right

        DB      35, 20, 30, 0, 0, 60, 40, 15, 18        ; Body
        DB      35, 20, 10, 0, 0, 60, 40, 35, 18

        DB      33, 1, 28, 0, 0, 60, 31, 15, 27         ; Front (gray)
        DB      33, 1,  8, 0, 0, 60, 31, 35, 14         ; Amplifier (gold)


; Marshall on the left

        DB      35, 20, 30, 0, 0, -60, 60, 15, 18       ; Body
        DB      35, 20, 10, 0, 0, -60, 60, 35, 18

        DB      33, 1, 28, 0, 0, -60, 51, 15, 27        ; Front (gray)
        DB      33, 1,  8, 0, 0, -60, 51, 35, 14        ; Amplifier (gold)



; Second keyframe -----------------------------------------------------------

keyframe2:
        DW      141


; The drummer

        DB      5, 5, 14,  69, -20,  1, 65, 20, 1       ; Right upper leg
        DB      5, 5, 17, 115,   0, -1, 58, 10, 1       ; Right lower leg

        DB      5, 5, 14,  69, 20, 19, 65, 20, 1        ; Left upper leg
        DB      5, 5, 16, 115,  0, 21, 58, 10, 1        ; Left lower leg

        DB      4, 9, 3, -20, 0, -1, 53, 3, 31          ; Right shoe
        DB      4, 9, 3,   0, 0, 21, 53, 1, 31          ; Left shoe

        DB      16, 5,  7, 0, 0, 10, 70, 22, 1          ; Ass
        DB      14, 5, 24, 0, 0, 10, 70, 37, 17         ; Body

        DB      4, 4, 4, 0, 0, 10, 70, 51, 89           ; Neck
        DB      8, 8, 8, 0, 0, 10, 70, 57, 89           ; Head

        DB      1, 1, 1, 10, 0,  8, 66, 58, 1           ; Right eye
        DB      1, 1, 1, 10, 0, 12, 66, 58, 1           ; Left eye
        DB      3, 1, 1, 10, 0, 10, 66, 55, 4           ; Mouth

        DB      4, 4, 18, -25,  3, 0, 66, 39, 89        ; Right upper arm
        DB      4, 4, 12,  64, 40, 4, 58, 33, 89        ; Right lower arm

        DB      4, 4, 20,  5, -13, 22, 71, 37, 89       ; Left upper arm
        DB      4, 4, 12, 64, -15, 23, 68, 28, 89       ; Left lower arm

        DB      1, 1, 12, 64, -20, 16, 56, 29, 17       ; Left stick
        DB      1, 1, 15, 50,  30, 14, 52, 35, 17       ; Right stick

        DB      1,  1, 12, -20, 0, 0, 43,  6, 29        ; Basedrum pedal
        DB      3,  3,  3, -20, 0, 0, 46, 12, 31
        DB      6, 12,  0,   0, 0, 0, 46,  0, 28


; Guitar-playing dude

        DB      4, 9, 3, 0, 0, 20, -31, 1, 31           ; Right shoe
        DB      4, 9, 3, 0, 0, 30, -31, 1, 31           ; Left shoe

        DB      4, 4, 26, 0, 0, 20, -29, 15, 32         ; Right leg
        DB      4, 4, 26, 0, 0, 30, -29, 15, 33         ; Left leg

        DB      14, 5,  5, 0, 0, 25, -29, 30, 32        ; Ass
        DB      14, 5, 25, 0, 0, 25, -29, 45, 17        ; Body

        DB      4, 4, 4, 0, 0, 25, -29, 59, 89          ; Neck
        DB      8, 8, 8, 0, 0, 25, -30, 65, 89          ; Head

        DB      1, 1, 1, 10, 0, 23, -34, 66, 1          ; Right eye
        DB      1, 1, 1, 10, 0, 27, -34, 66, 1          ; Left eye
        DB      3, 1, 1, 10, 0, 25, -34, 63, 4          ; Mouth

        DB      5, 5, 20, -25, 13, 16, -33, 47, 17      ; Right upper arm
        DB      4, 4, 10,   0, 60, 18, -39, 41, 17      ; Right lower arm
        DB      3, 3,  3,   0, 60, 24, -39, 41, 89      ; Right hand

        DB      5, 5, 22, 0, -17, 35, -29, 46, 17       ; Left upper arm
        DB      4, 4,  8, 64, 20, 41, -31, 36, 17       ; Left lower arm
;        DB      3, 2,  3,  0,  0, 43, -35, 38, 89       ; Left hand

        DB      3, 2,  3,  0,  0, 41, -35, 37, 89       ; Left hand

        DB      16, 1, 12, 0, -10, 25, -34, 35, 4       ; Guitar body
        DB      20, 1,  2, 0, -10, 42, -34, 40, 66      ; Guitar neck


; Keyboard-player

        DB      4, 9, 3, -20, 0, -40, -11, 1, 28        ; Right shoe
        DB      4, 9, 3,   0, 0, -30, -11, 1, 28        ; Left shoe

        DB      4, 4, 26, 0, 0, -40, -9, 15, 1          ; Right leg
        DB      4, 4, 26, 0, 0, -30, -9, 15, 1          ; Left leg

        DB      14, 5,  5, 0, 0, -35, -9, 30, 1         ; Ass
        DB      14, 5, 25, 0, 0, -35, -9, 45, 20        ; Body

        DB      4, 4, 4, 0, 0, -35,  -9, 59, 90         ; Neck
        DB      8, 8, 8, 0, 0, -35, -10, 65, 90         ; Head

        DB      1, 1, 1, 10, 0, -37, -14, 66, 1         ; Right eye
        DB      1, 1, 1, 10, 0, -33, -14, 66, 1         ; Left eye
        DB      3, 1, 1, 10, 0, -35, -14, 63, 4         ; Mouth

        DB      5, 5, 20,  0, 17, -44,  -9, 47, 20      ; Right upper arm
        DB      4, 4, 13, 60,  8, -46, -18, 40, 90      ; Right lower arm

        DB      5, 5, 20,  0, -17, -25,  -9, 46, 20     ; Left upper arm
        DB      4, 4, 13, 60,  -8, -23, -18, 40, 90     ; Left lower arm


